## neovim-plenary 0.1.4+git20250726

=== Makefile ===
.PHONY: test generate_filetypes lint luarocks_upload test_luarocks_install
test:
	nvim --headless --noplugin -u scripts/minimal.vim -c "PlenaryBustedDirectory tests/plenary/ {minimal_init = 'tests/minimal_init.vim', sequential = true}"

generate_filetypes:
	nvim --headless -c 'luafile scripts/update_filetypes_from_github.lua' -c 'qa!'

generate_luassert_types:
	nvim --headless -c 'luafile scripts/generate_luassert_types.lua' -c 'qa!'

lint:
	luacheck lua/plenary

=== debian/changelog ===
neovim-plenary (0.1.4+git20250726-2) unstable; urgency=medium

  * d/control: Bump S-V to 4.7.3; drop priority: optional and RRR
  * d/patches: fix enum comparison

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 14 Feb 2026 19:27:30 +0100

neovim-plenary (0.1.4+git20250726-1) unstable; urgency=medium

  * Initial release. (Closes: #1114790)

 -- Carl Keinath <carl.keinath@gmail.com>  Fri, 10 Oct 2025 20:52:58 +0200

=== debian/control ===
Source: neovim-plenary
Section: editors
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Carl Keinath <carl.keinath@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
Standards-Version: 4.7.3
Homepage: https://github.com/nvim-lua/plenary.nvim
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-plenary
Vcs-Git: https://salsa.debian.org/vim-team/neovim-plenary.git

Package: neovim-plenary
Architecture: all
Depends:
 ${misc:Depends},
 ${vim-addon:Depends},
Description: Lua utility functions for Neovim
 Provides a collection of Lua helper modules and functions for Neovim plugins.
 It includes utilities for async execution, path handling and tests.
 .
 This is a neovim-only plugin.

=== debian/tests/control ===
Tests: upstream-tests
Depends: @
Restrictions: allow-stderr

Tests: run-tests
Depends: @

=== debian/watch ===
Version: 5

Source: https://github.com/nvim-lua/plenary.nvim.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.1.4+git%cd
